## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autochangelog
## END: Set by rpmautospec

# vkamrk dynamicly loads modules that reference static functions in the main binary
%undefine _strict_symbol_defs_build

%global codate 20250123
%global commit0 2bf2ca7f1623db7ad7840a4dd626444d11830815
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

# Some tests fail on s390x
# https://bugzilla.redhat.com/show_bug.cgi?id=1475561
ExcludeArch:    s390x

Name:           vkmark
Version:        2025.01
Release:        1.%{codate}git%{shortcommit0}%{?dist}
Summary:        Vulkan benchmarking suite

License:        LGPL-2.1-or-later
URL:            https://github.com/vkmark/vkmark
Source0:        https://github.com/vkmark/vkmark/archive/%{commit0}.tar.gz#/%{name}-%{version}-%{shortcommit0}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  meson

BuildRequires:  vulkan-loader-devel
BuildRequires:  glm-devel
BuildRequires:  assimp-devel

BuildRequires:  libxcb-devel
BuildRequires:  xcb-util-wm-devel
BuildRequires:  wayland-devel
BuildRequires:  wayland-protocols-devel
BuildRequires:  libdrm-devel
BuildRequires:  mesa-libgbm-devel


%description
vkmark is an extensible Vulkan benchmarking suite with targeted,
configurable scenes.

%prep
%autosetup -p1 -n %{name}-%{commit0}


%build
%meson
%meson_build


%install
%meson_install


%check
%meson_test


%files
%license COPYING-LGPL2.1
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.1*


%changelog
## START: Generated by rpmautospec
* Thu Jan 23 2025 Yanko Kaneti <yaneti@declera.com> - 2025.01-1
- Update to 2025.01

* Fri Jan 17 2025 Yanko Kaneti <yaneti@declera.com> - 2017.08-29
- Pull a recent snapshot

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2017.08-28
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2017.08-27
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2017.08-26
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Apr 12 2023 Yanko Kaneti <yaneti@declera.com> - 2017.08-25
- Pull a recent snapshot. Brings back the kms backend. Drop upstreamed
  patch
- Migrate to SPDX license identifier

* Sat Jan 21 2023 Yanko Kaneti <yaneti@declera.com> - 2017.08-24
- Pull a recent snapshot + addtional patch to fixup standard includes

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2017.08-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2017.08-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jun 17 2022 Yanko Kaneti <yaneti@declera.com> - 2017.08-21
- Pull a recent snapshot to fix various build issues
- fixes build with recent vulkan headers
- upstream catch has been updated so no need to replace it

* Tue Mar 29 2022 Yanko Kaneti <yaneti@declera.com> - 2017.08-20
- Update build requirements
- mesa-vulkan-devel is long gone, the kms backend upstream needs to be
  updated to work with modern mesa/vulkan
- BR: wayland-devel so that the wayland backend is built

* Sat Jan 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2017.08-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Aug 01 2021 Rich Mattes <richmattes@gmail.com> - 2017.08-18
- Rebuild for assimp-5.0.1

* Tue Jul 27 2021 Yanko Kaneti <yaneti@declera.com> - 2017.08-17
- Fix FTBFS and update to latest snapshot

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2017.08-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon Feb 01 2021 Yanko Kaneti <yaneti@declera.com> - 2017.08-15
- Pull a newer snapshot ro reflect recent years changes and make it build

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2017.08-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2017.08-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jan 31 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2017.08-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sat Jul 27 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2017.08-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2017.08-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2017.08-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Jun 29 2018 Yanko Kaneti <yaneti@declera.com> - 2017.08-8
- duh.. its vulkan-loader-devel

* Fri Jun 29 2018 Yanko Kaneti <yaneti@declera.com> - 2017.08-7
- err just vulkan-headers without -devel

* Fri Jun 29 2018 Yanko Kaneti <yaneti@declera.com> - 2017.08-6
- vulkan-devel -> vulkan-headers-devel

* Mon Feb 19 2018 Wolfgang Stöggl <c72578@yahoo.de> - 2017.08-5
- Add BuildRequires: gcc-c++

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2017.08-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Jan 23 2018 Yanko Kaneti <yaneti@declera.com> - 2017.08-3
- Update to 68b6f23 with kms-atomic support.

* Mon Sep 04 2017 Yanko Kaneti <yaneti@declera.com> - 2017.08-2
- errm...just extensible

* Mon Sep 04 2017 Yanko Kaneti <yaneti@declera.com> - 2017.08-1
- Update to 2017.08, 0fed663 - Upstream license change to only LGPLv2+

* Mon Aug 14 2017 Yanko Kaneti <yaneti@declera.com> - 2017.07-6
- Update to 7b5bbee

* Wed Aug 09 2017 Yanko Kaneti <yaneti@declera.com> - 2017.07-5
- Update to 19e128c

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2017.07-4
- Rebuilt for
  https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Sun Jul 30 2017 Florian Weimer <fweimer@redhat.com> - 2017.07-3
- Rebuild with fixed binutils for ppc64le (#1475636)

* Thu Jul 27 2017 Yanko Kaneti <yaneti@declera.com> - 2017.07-2
- Update to 1b05d87

* Wed Jul 26 2017 Yanko Kaneti <yaneti@declera.com> - 2017.07-1
- Initial import - review (#1473320)
## END: Generated by rpmautospec
